/*------------------------------------------------------------------------------
--  This file is a part of the libuc, microcontroler library
--  Copyright (C) 2013, Alexis Jeandet
--
--  This program is free software; you can redistribute it and/or modify
--  it under the terms of the GNU General Public License as published by
--  the Free Software Foundation; either version 3 of the License, or
--  (at your option) any later version.
--
--  This program is distributed in the hope that it will be useful,
--  but WITHOUT ANY WARRANTY; without even the implied warranty of
--  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
--  GNU General Public License for more details.
--
--  You should have received a copy of the GNU General Public License
--  along with this program; if not, write to the Free Software
--  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA 
-------------------------------------------------------------------------------
--                 Author : Alexis Jeandet
--                   Mail : alexis.jeandet@member.fsf.org
-------------------------------------------------------------------------------*/

#include  <thread.h>

/*
    int (*func)(void*);
    void* __stack__;
    int stackSize;
    int priority;
    struct thread_t* prev;
    struct thread_t* next;
*/
thread_t mainThread;

int threadcreate(thread_t *thread, void *stack, int stackSize, int (*entry)(void*))
{
    thread->func = entry;
    thread->__stack__=stack;
    thread->stackSize = stackSize;
    return 0;
}


int threadstart(thread_t *thread)
{
    return 0;
}


int threadstop(thread_t *thread)
{
    return 0;
}
